## GwyDataViewLayer GwyDataViewLayer — Layer GwyDataView is composed of |

## Functions

void | gwy_data_view_layer_plugged ()
void | gwy_data_view_layer_unplugged ()
void | gwy_data_view_layer_updated ()
void | gwy_data_view_layer_realize ()
void | gwy_data_view_layer_unrealize ()

## Signals

void | plugged | Run First
void | unplugged | Run First
void | updated | Run First

## Types and Values

struct | GwyDataViewLayer
struct | GwyDataViewLayerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GwyDataViewLayer
                    ├── GwyPixmapLayer
                    ╰── GwyVectorLayer

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyDataViewLayer's are parts of GwyDataView. They are not widgets and they are not normally usable outside of a data view. The perform a specific visualization task: drawing the data, drawing mask, or drawing selection.

## Functions

### gwy_data_view_layer_plugged ()

    void
    gwy_data_view_layer_plugged (GwyDataViewLayer *layer);

Emits a "plugged" singal on a layer.

Primarily intended for GwyDataView implementation.

#### Parameters

layer | A data view layer. |

### gwy_data_view_layer_unplugged ()

    void
    gwy_data_view_layer_unplugged (GwyDataViewLayer *layer);

Emits a "unplugged" singal on a layer.

Primarily intended for GwyDataView implementation.

#### Parameters

layer | A data view layer. |

### gwy_data_view_layer_updated ()

    void
    gwy_data_view_layer_updated (GwyDataViewLayer *layer);

Emits a "updated" singal on a layer.

#### Parameters

layer | A data view layer. |

### gwy_data_view_layer_realize ()

    void
    gwy_data_view_layer_realize (GwyDataViewLayer *layer);

Tells a data view layer its parent was realized and it can create display-specific resources.

#### Parameters

layer | A data view layer. |

### gwy_data_view_layer_unrealize ()

    void
    gwy_data_view_layer_unrealize (GwyDataViewLayer *layer);

Tells a data view layer its parent was unrealized and it should destroy display-specific resources.

#### Parameters

layer | A data view layer. |

## Types and Values

### struct GwyDataViewLayer

    struct GwyDataViewLayer;

### struct GwyDataViewLayerClass

    struct GwyDataViewLayerClass {
        GtkObjectClass parent_class;

        /* Virtual table */
        void (*realize)(GwyDataViewLayer *layer);
        void (*unrealize)(GwyDataViewLayer *layer);

        /* Signals */
        void (*plugged)(GwyDataViewLayer *layer);
        void (*unplugged)(GwyDataViewLayer *layer);
        void (*updated)(GwyDataViewLayer *layer);

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Signal Details

### The `“plugged”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::plugged signal is emitted when a GwyDataViewLayer is plugged into a GwyDataView.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“unplugged”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::unplugged signal is emitted when a GwyDataViewLayer is removed from its GwyDataView.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“updated”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::updated signal is emitted when a GwyDataViewLayer is updated; the exact means how a layer can be updated depends its type.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GwyDataView -- data display widget,

gwypixfield --

low level functions for painting data fields,